summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eugene Wissner <belka@caraus.de>2015-09-30 08:31:44 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-10-01 20:09:43 +0700
commita969e40356ab15d1197bc668d7729f28174e8014 (patch)
treec0f3211572c85f2095a4ace951f96f940eae7c42
parentbd54b85517a424ca13c4688f6ed75dfd0724cb89 (diff)
downloadslackbuilds-a969e40356ab15d1197bc668d7729f28174e8014.tar.gz
slackbuilds-a969e40356ab15d1197bc668d7729f28174e8014.tar.xz
development/composer: Added (tool for dependency management in PHP).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/composer/README3
-rw-r--r--development/composer/composer.SlackBuild55
-rw-r--r--development/composer/composer.info10
-rw-r--r--development/composer/slack-desc19
4 files changed, 87 insertions, 0 deletions
diff --git a/development/composer/README b/development/composer/README
new file mode 100644
index 0000000000..19d163cfbc
--- /dev/null
+++ b/development/composer/README
@@ -0,0 +1,3 @@
+Composer is a tool for dependency management in PHP. It allows you to
+declare the libraries your project depends on and it will manage
+(install/update) them for you.
diff --git a/development/composer/composer.SlackBuild b/development/composer/composer.SlackBuild
new file mode 100644
index 0000000000..b1725a55aa
--- /dev/null
+++ b/development/composer/composer.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for "composer".
+
+# Copyright 2015 Eugene Wissner <belka@caraus.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=composer
+SRCNAM=composer.phar
+VERSION=${VERSION:-1.0.0_alpha10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG/usr/bin $OUTPUT
+install -m 0755 $CWD/$SRCNAM $PKG/usr/bin
+chown -R root:root $PKG
+
+ln -s $SRCNAM $PKG/usr/bin/composer
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/composer/composer.info b/development/composer/composer.info
new file mode 100644
index 0000000000..9136ec169b
--- /dev/null
+++ b/development/composer/composer.info
@@ -0,0 +1,10 @@
+PRGNAM="composer"
+VERSION="1.0.0_alpha10"
+HOMEPAGE="https://getcomposer.org/"
+DOWNLOAD="https://getcomposer.org/download/1.0.0-alpha10/composer.phar"
+MD5SUM="dea8681b6f54dca9bb3a5b7deb179cca"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Eugene Wissner"
+EMAIL="belka@caraus.de"
diff --git a/development/composer/slack-desc b/development/composer/slack-desc
new file mode 100644
index 0000000000..2a1a561c67
--- /dev/null
+++ b/development/composer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+composer: Composer (tool for dependency management in PHP)
+composer:
+composer: Composer is a tool for dependency management in PHP. It allows you to
+composer: declare the libraries your project depends on and it will manage
+composer: (install/update) them for you.
+composer:
+composer: Homepage: https://getcomposer.org/
+composer:
+composer:
+composer:
+composer: